Index: /pjproject/branches/projects/vs-reorg2/third_party/srtp/include/srtp_priv.h
===================================================================
--- /pjproject/branches/projects/vs-reorg2/third_party/srtp/include/srtp_priv.h	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/third_party/srtp/include/srtp_priv.h	(revision 2654)
@@ -60,4 +60,9 @@
  */
  
+#ifdef _MSC_VER
+#   pragma warning(push)
+#   pragma warning(disable:4214) // bit field types other than int
+#endif
+
 #ifndef WORDS_BIGENDIAN
 
@@ -68,5 +73,4 @@
  * fully pack the bit fields.
  */
-
 typedef struct {
   unsigned char cc:4;	/* CSRC count             */
@@ -96,4 +100,9 @@
 
 #endif
+
+#ifdef _MSC_VER
+#   pragma warning( pop ) 
+#endif
+
 
 typedef struct {
